Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED] Ganeti 2.7.0 beta ebuild (help needed)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
GD
Tux's lil' helper
Tux's lil' helper


Joined: 11 May 2005
Posts: 127
Location: Greece

PostPosted: Wed Feb 13, 2013 2:24 pm    Post subject: [SOLVED] Ganeti 2.7.0 beta ebuild (help needed) Reply with quote

Hello all,

I wanted to test out ganeti 2.7.0 beta because of the "passing arbitrary command line values" to kvm feature. I've modified the 2.6.2 ebuild and placed it in a local overlay, but I'm having an issue I can't resolve. It regards the ganeti-confd daemon, and I was wondering whether anyone could provide any hints as to what might be the problem here. Here's the ebuild, be warned that it's broken, ugly and I probably have put the new dependencies in the wrong places:

http://pastebin.com/mHVy3CYQ

Here's what I get when running /etc/init.d/ganeti start:

Quote:
* Starting ganeti-noded ... [ ok ]
* Starting ganeti-masterd ... [ ok ]
* Starting ganeti-rapi ... [ ok ]
* Starting ganeti-confd ...
Error when starting the daemon process: sendTo: protocol error (Protocol wrong type for socket)
* start-stop-daemon: failed to start `/usr/sbin/ganeti-confd'
* exit code 1 [ !! ]
* ERROR: ganeti failed to start


Any ideas? Thanks


Last edited by GD on Thu Feb 14, 2013 4:51 pm; edited 1 time in total
Back to top
View user's profile Send private message
GD
Tux's lil' helper
Tux's lil' helper


Joined: 11 May 2005
Posts: 127
Location: Greece

PostPosted: Thu Feb 14, 2013 4:51 pm    Post subject: Reply with quote

turns out it has hslogger related...

Solved with https://github.com/gentoo-haskell/gentoo-haskell/commit/3bc4db5a5bbac6cbd1d1c0b1a6e76ef9a807b775

Special thanks to Sergei "slyfox" Trofimovich and Iustin Pop

P.S. The ebuild worked fine on my machine, so I guess it might work on others with similar configurations. Some dependencies might be in the wrong places however, so you might have to turn on the following USE flags: haskell-daemons and htools (just to make sure their dependencied are installed, which might be needed even if you don't require this functionality). I also believe the python scripts have been replaced with haskell ones in ver 2.7.0, so maybe the haskell-daemons USE flag is not relevant anymore (not sure about it though). I additionally had to create a symlink for /usr/bin/kvm: ln -s /usr/bin/qemu-kvm /usr/bin/kvm. I'm not sure if it's qemu or ganeti that should provide this...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum